Subject: Re: [bug#75518] Issues on i586-gnu

From: [email-masked]
Date: Sat, 15 Feb 2025 18:43:32 +0100 (CET)

Hello,

I was trying to build the branch with -s i586-gnu and offloading to a hurd vm:

- gcc-boot0 was failing because of libstdc++

The default libstdc++ (4.9) is too old and the currently used libstdc++ (14) is to new. 
I had success with libstdc++-5 (which is already used for aarch64 and ppc64) 

- gnumach-headers-boot0 failed because of automake-1.17

The gnumach configure script adds a patch to Makefile.in at the end of configure.
However the patch is incompatible with automake-1.17. The normal gnumach package got fixed to use automake-1.16.5.

I downgraded automake-boot0 to 1.16.5 (i think this is fine because only the mach packages require automake)
Alternatively there is an upstream patch to fix the build with automake-1.17:https://git.savannah.gnu.org/cgit/hurd/gnumach.git/commit/?id=71d7945e298bc4077d4817eccd6c5cd7656942a2

After that i was able to build gcc-final in ~4h

Then I had some failing gnulib tests in coreutils/grep/libunistring. All these currently succeed on master on i586-gnu. 

FAIL: test-once1
================
# Segfault
FAIL test-once1 (exit status: 139)

FAIL: test-pthread_sigmask1
===========================

test-pthread_sigmask1.c:69: assertion 'sigint_occurred == 0' failed
FAIL test-pthread_sigmask1 (exit status: 134)

FAIL: test-symlink
==================

test-symlink.h:70: assertion 'errno == EEXIST || errno == EINVAL || errno == ENOENT' failed
FAIL test-symlink (exit status: 134)

FAIL: test-symlinkat
====================

test-symlink.h:70: assertion 'errno == EEXIST || errno == EINVAL || errno == ENOENT' failed
FAIL test-symlinkat (exit status: 134)

Hope this helps.